##### 7.7.7.0. lpId2ivLi

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lpId2ivLi(G); G an ideal

Return:
  list

Purpose:
  Transforming an ideal into the corresponding list of intvecs.
  For the encoding of the variables see the overview.

Assume:
  - basering has to be a Letterplace ring

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal L = x(1)*x(2),y(1)*y(2),x(1)*y(2)*x(3);
    lpId2ivLi(L); // returns the corresponding intvecs as a list
    ==> [1]:
    ==>    1,1
    ==> [2]:
    ==>    2,2
    ==> [3]:
    ==>    1,2,1

User manual for Singular version 4-0-3, 2016, generated by texi2html.